Le Kaiju AdvancedModding - Ported to SPT-AKI 2.2.3 3.0.4

A collection of new weapons and custom attachments made by Le Kaiju, ported to SPT-AKI 2.2.3

Mod produced by Le Kaiju, all credit and rights go to them.


General:

  • Sights to backup mount: Adds regular sights to the 45 degree backup mount.

New Items:

  • AR-15 Handguard: Very short and stubby, lots of mod slots. [WIP]
  • Dbal A2 Tactical Device: Adds BLK and DDC variant of the Dbal A2.
  • FDE Chassis: EBR Chassis in FDE.
  • FDE Buttstock: EBR Buttstock in FDE.
  • FDE Pistol Grip: EBR Pistol Grip in FDE.
  • M14 Wood Stock: Adds a wooden stock for the m1a/m14.
  • Extension: Adds extended mount for piccatiny. [WIP]
  • Extension M-lok: Adds extended mount for M-lok rails. [WIP]
  • Geissele Buffer Tube: Adds new buffer tube with decent stats.
  • Geissele 30mm scope mount: Geissele style scope mount of the 30mm size.
  • Green Holo: xps3-0 with green reticle.
  • MPR30: Adds new backup mount at 30 degrees instead of the normal 45.
  • Offset Grip Mount: Adds 45 degree grip mount. [WIP]
  • Pmag ATF Edition: Pmag with ATF sticker.
  • Pmag Se-Tr black: Adds semi transparent black magazine.
  • Pmag Se-Tr purple: Adds semi transparent purple magazine.
  • RMR Variations: Adds both a green and blue reticle variant to the RMR.
  • Strike Tactical ForeGrip: M-lok foregrip with decent stats.
  • Obsidian 45 suppressors: Adds long/short suppressors in tan/blk that fits a variaty of barrels.


Weapon Additions:

  • AK9: Ak-105 in 9x39, reduced recoil.
  • Hk Additions: Adds ar-15 uppers, buffers etc.
  • MK47: CMMG Mutant, ar-15/ak hybrid.
  • MK57: CMMG Banshee, ar-15/p90 hybrid.
  • UMP45 6" Barrel: Compatible with suppressors.
  • UMP45 Custom Mag: Mag size configurable in config.

The original mod can be viewed below:

Link

  • Version 3.0.4

    Fixed bug causing missing attachments.

  • Version 3.0.3

    Fixed loading error related to API (Big thanks to Wackeyflang)


    Older links have been updated to version 3.0.3 as well.

  • Version 3.0.2

    Updated to SPT-AKI 2.3.0, old links as well

  • Version 3.0.1

    Tweaked MK47 Mutant (now called MK47 Hybrid) to have better recoil stats (Big thanks to Bandoot)

    Implemented config fix to enable compatibility with TrapModLoader (Big thanks to Trap)

  • Version 3.0.0

    This link has been updated to download version 3.0.1

  • is anyone willing to take this mod and update it to the latest version?

  • Will this be updated to 3.2.2?

    • Unfortunately I have no f*cking idea how to update any of the mods I've uploaded to any SPT version beyond 2.2.3, as my coding knowledge is extremely limited and all my attempts have failed :(


      The community's best bet is to convince someone with some actual talent like the original authors or other mod makers to update them or provide some guidance.

      Crying 1
    • I feel that

    • i understand too, try chating whit sam swat he is slowing down his mods making and helping others he will do that for a bit of time so nows youre chance

      Thumbs Up 1
  • Hello, could You please take a look and let me know what is wrong and whether this can be fixed?
    Thank You!


    [INFO] Loading: LeKaiju-AdvancedModding

    [ERROR] Trace:

    ReferenceError: API is not defined

    at new AdvancedModding (C:\Games\Escape From Tarkov\user\mods\LeKaiju-AdvancedModding\src\script.js:47:4)

    at Object.<anonymous> (C:\Games\Escape From Tarkov\user\mods\LeKaiju-AdvancedModding\package.js:3:22)

    at Module._compile (internal/modules/cjs/loader.js:1063:30)

    at Object.Module._extensions..js (internal/modules/cjs/loader.js:1092:10)

    at Module.load (internal/modules/cjs/loader.js:928:32)

    at Function.Module._load (internal/modules/cjs/loader.js:769:14)

    at Module.require (internal/modules/cjs/loader.js:952:19)

    at require (internal/modules/cjs/helpers.js:88:18)

    at o (C:\Games\Escape From Tarkov\obj\node_modules\browser-pack\_prelude.js:1:1)

    at C:\Games\Escape From Tarkov\obj\node_modules\browser-pack\_prelude.js:1:1

    • Please disregard. All I had to do was check the config.json
      And set the override to "true"

      Thanks 1
  • would you consider adding a black version of the Strike Tactical ForeGrip: M-lok?

  • idk if it was just mine but in the script.js


    if (!conf.API.Override.enabled)


    the ! point was in the text and would keep giving me the 'API not defined' error i was messing around at if you delete the ! to look like this


    if (conf.API.Override.enabled)


    it would load fine and with no issues also do what "trap" said if you are using coremod or spaceman APIs

    • Thanks, haven't played in a while so I appreciate the effort :) I'll update the links with the fix

    • no problem just trying to help i know everyone has there on life and things take time

  • Just reporting here, that the mod doesn't really have all the things ported over. Namely attachments for the M1A/AR-15 handguard and the offset foregrip mount. Great job on the port tho!

  • Hi.


    I noticed that a config change is needed to work with TrapModLoader


    - API.Override.enabled = true

    - API.Override.value = CoreMod

  • what barrels does the mk57 use? i cant seem to get any to work

    • It uses the 9mm barrels from the MPX. I think it's a little lazy, they should probably be modded to be a unique barrel, but at least the lengths make sense.

      Like 1
  • The mod's throwing 2 errors, one where there's no API and the other is a type error.

  • Doing some awesome work here :)

  • *Drops in from walk way* "Hello there"

    Haha 1 Thanks 1
    • *Mechanical Voice* "General Kaijubi! Ahahahaha"

      Thanks 1 Haha 1
    • *Mechanical Voice* "You are a bold one! hehehehe"

    • *Raising eyebrows tauntingly* "Your move."

      Happy 1